IEVENTS(8)

NAME
ievents - decode IPMI and PET event data

SYNOPSIS
ievents [-bfhprsx] 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 10

DESCRIPTION
ievents is a standalone utility delivered with ipmiutil, used to interpret raw hex data from IPMI events or from IPMI PET SNMP trap varbind data. This utility uses the same interpretation logic as is used by "ipmiutil sel" (showsel) and "ipmiutil getevt" (getevents). The data bytes in the input are always assumed to be in hex form. This could be useful if a utility other than "ipmiutil sel" were used to obtain IPMI SEL records or events and interpretation is needed. This would also be needed at an enterprise management station to interpret the PET SNMP trap hex data into human-readable form, see option -p.

OPTIONS

-b bin_file
    Interpret a file containing raw binary/hex SEL data dumped in binary form, such as that produced by "ipmitool sel writeraw bin_file". Each set of 16 bytes in the file will be interpreted as an IPMI event. (same as -h)

-f sel_file
    Interpret a file containing raw ascii text SEL data captured with ipmiutil sel -r, or some other similar utility. Each line in the file should be in this form, with no leading spaces:
    04 00 02 76 a9 4a 47 20 00 04 10 09 6f 42 0f ff
    If this option is not specified, the default is to use the 16 bytes taken from the command-line arguments. (same as -r)

-h bin_file
    Interpret a file containing raw binary/hex SEL data dumped in binary form, such as that produced by "ipmitool sel writeraw bin_file". Each set of 16 bytes in the file will be interpreted as an IPMI event. (same as -b)

-p  Decode as PET event bytes, where the input is 34 PET hex data bytes, skipping the first 8 of the 47-byte PET data. The default without -p assumes that the input is a 16-byte IPMI event.

-r sel_file
    Interpret a file containing raw ascii text SEL data captured with ipmiutil sel -r, or some other similar utility. (same as -f)

-s sensor_file
    Sensor file with the output of "ipmiutil sensor", used to get the PET sensor_type from the sensor_num. The default is /usr/share/ipmiutil/sensor_out.txt as generated during the ipmiutil package installation. This is only needed with PET interpretation (-p).

-x  show eXtra debug messages

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) icmd(8) idiscover(8) ifru(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>